GET/v2/live/vendorgraphics/categories
Fetch product categories
Returns product categories with cursor-based pagination, sorted deterministically by category ID. Maximum of 250 categories per page.
Query parameters
- cursorstringOptionalCursor for pagination. Use the cursor value from the previous response to get more results.
- limitinteger (int32)OptionalMaximum number of results to return (default: 100, max: 250)
- Headers
x-api-keyRequired · API key for authentication
Response
- categoriesobject[]List of product categories
- categoryHierarchyobject[]
- idinteger (int64)Unique identifier for the category
- namestringName of the category
- descriptionstringDescription of the category
- directProductCountinteger (int64)Number of products directly associated with this category
- indirectProductCountinteger (int64)Number of products indirectly associated with this category through descendant categories
- cursorstringCursor for pagination. Use this value as the cursor parameter in the next request to get more results.